/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* E.P. Scene Graph Viewer
* Developed by:
*       - Eduardo Ribeiro (eribeiro @ tecgraf . puc-rio . br)
*       - Peter Dam (peter @ tecgraf . puc-rio . br)
* File: Application.h
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef _EPSGV_APPLICATION_
#define _EPSGV_APPLICATION_

#include "EPSGV/Prototypes.h"

namespace EPSGV
{
	class Application
	{
	public:
		static void			execute( int argc, char* args[] );

		static void			loadScene( EPSG::Scene* root );

	private:
		static void			redraw();
		static void			keyboard( unsigned char key, int x, int y );

		static EPSG::Scene*		s_root;
	};
}

#endif //_EPSGV_APPLICATION_